#
# spec file for package linbox
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           linbox
%define lname   liblinbox0
Version:        1.5.2
Release:        lp150.1.1
Summary:        C++ library for computation with matrices over ints and finite fields
License:        LGPL-2.1+
Group:          Productivity/Scientific/Math
Url:            http://linalg.org/

Source:         https://github.com/linbox-team/linbox/releases/download/v%version/linbox-%version.tar.gz
BuildRequires:  autoconf >= 2.61
BuildRequires:  automake >= 1.8
BuildRequires:  gcc-c++
BuildRequires:  gmp-devel
BuildRequires:  iml-devel
BuildRequires:  libm4ri-devel
BuildRequires:  libm4rie-devel
BuildRequires:  libtool
BuildRequires:  mpfr-devel
BuildRequires:  ntl-devel
BuildRequires:  openblas-devel
BuildRequires:  pkgconfig(fflas-ffpack) >= 2.3.0
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
LinBox is a C++ template library for exact, high-performance linear
algebra computation with dense, sparse, and structured matrices over
the integers and over finite fields.

%package -n %lname
Summary:        C++ library for computation with matrices over ints and finite fields
Group:          System/Libraries

%description -n %lname
LinBox is a C++ template library for exact, high-performance linear
algebra computation with dense, sparse, and structured matrices over
the integers and over finite fields.

%package devel
Summary:        Development files for LinBox, a library for computation over finite fields
Group:          Development/Libraries/C and C++
Requires:       %lname = %version

%description devel
LinBox is a C++ template library for exact, high-performance linear
algebra computation with dense, sparse, and structured matrices over
the integers and over finite fields.

This subpackage contains the include files and library links for   
developing against the Givaro library.

%prep
%setup -q

%build
autoreconf -fi
%configure --disable-static \
%ifarch %ix86
	--disable-sse --disable-sse2 \
%endif
	--disable-sse3 --disable-ssse3 --disable-sse41 --disable-sse42 \
	--disable-avx --disable-avx2 --disable-fma --disable-fma4
make %{?_smp_mflags}

%install
%make_install
rm -f "%buildroot/%_libdir"/*.la

%post   -n %lname -p /sbin/ldconfig
%postun -n %lname -p /sbin/ldconfig

%files -n %lname
%defattr(-,root,root)
%_libdir/liblinbox.so.0*

%files devel
%defattr(-,root,root)
%_bindir/*-config
%_includedir/%name/
%_libdir/liblinbox.so
%_libdir/pkgconfig/*.pc
%_mandir/man1/*.1*
%doc COPYING*

%changelog
* Mon Dec 25 2017 jengelh@inai.de
- Update to new upstream release 1.5.2
  * remove all unused stuff from linbox-sage
* Sat Sep  9 2017 jengelh@inai.de
- Update to new upstream release 1.4.2
  * Support for givaro-4.0.1 and fflas-ffpack-2.2.2
* Sun May 19 2013 jengelh@inai.de
- Initial package (version 1.3.2) for build.opensuse.org
